Bug 1891326 - GNOME software cannot find the correct language pack required by LibreOffice
Summary: GNOME software cannot find the correct language pack required by LibreOffice
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 33
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-25 17:02 UTC by mikebern5
Modified: 2020-12-21 07:13 UTC (History)
5 users (show)

Fixed In Version: libreoffice-7.0.3.1-1.fc34 libreoffice-7.0.3.1-1.eln105 libreoffice-7.0.2.2-3.fc33 libreoffice-7.0.4.2-2.eln108
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-30 02:20:09 UTC
Type: Bug


Attachments (Terms of Use)

Description mikebern5 2020-10-25 17:02:08 UTC
Description of problem: LibreOffice requires installation of "libreoffice-langpack-pt" on first run but GNOME software cannot find it because the package name in Fedora repos is "libreoffice-langpack-pt-PT"


Version-Release number of selected component (if applicable): Version: 7.0.2.2


How reproducible: Every time


Steps to Reproduce:
1. open LibreOffice for the first time on a newly installed Fedora 33 Workstation
2. LibreOffice requires libreoffice-langpack-pt
3. Open GNOME Software, it is unable to find this package
4. User must install the correct package via CLI by "sudo dnf install libreoffice-langpack-pt-PT"  (which is also case sensitive).

Actual results: GNOME software is unable to find the correct package required for LibreOffice language pack


Expected results: GNOME software finds and successfully installs the correct package required for LibreOffice language pack.


Additional info: Ideally Fedora should automatically install the correct language pack for the user's system language.

Comment 1 Eduardo Silva 2020-10-25 19:16:42 UTC
I had this issue in newly installed Fedora 32 as well.

Comment 2 Caolan McNamara 2020-10-25 20:41:42 UTC
this is presumably the prompt to suggest install of a langpack for a better experience, and is probably only an issue for the Portuguese langpacks

Comment 3 Fedora Update System 2020-10-26 18:36:52 UTC
FEDORA-2020-40d119ea58 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-40d119ea58

Comment 4 Fedora Update System 2020-10-27 02:37:44 UTC
FEDORA-2020-40d119ea58 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-40d119ea58`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-40d119ea58

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2020-10-30 02:20:09 UTC
FEDORA-2020-c5fbe8367a has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Fedora Update System 2020-10-30 11:26:21 UTC
FEDORA-2020-2cc85ac3ef has been pushed to the Fedora ELN stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2020-10-31 00:19:15 UTC
FEDORA-2020-40d119ea58 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2020-12-21 07:13:24 UTC
FEDORA-2020-84194f4268 has been pushed to the Fedora ELN stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.